Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225873 - Additional SATA drives not detected by kernel.
Summary: Additional SATA drives not detected by kernel.
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 6
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 427887
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:00 UTC by Glen Eustace
Modified: 2008-02-08 04:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-08 04:25:34 UTC


Attachments (Terms of Use)

Description Glen Eustace 2007-01-31 19:00:31 UTC
Description of problem:
The kernel fails to detect the disks plugged into the 2nd and 3rd SATA ports.
These disks are seen by the BIOS. It had been suggested that this was a mapping
issue and was reolved in 2.6.19, it would appear this is not in fact the case.

This is a stock std. Intel D965 motherboard, the missing disks are Seagate 300Gb
drives.

Version-Release number of selected component (if applicable):
2.6.19-1.2895.fc6

Additional info:
smolt UUID: 1c3ab7ef-ccf2-45bf-8b9e-ab613ca21390

kernel messages:
ahci 0000:00:1f.2: AHCI 0001.0100 32 slots 4 ports 3 Gbps 0x33 impl SATA mode
ahci 0000:00:1f.2: flags: 64bit ncq led clo pio slum part
ata1: SATA max UDMA/133 cmd 0xF8842100 ctl 0x0 bmdma 0x0 irq 218
ata2: SATA max UDMA/133 cmd 0xF8842180 ctl 0x0 bmdma 0x0 irq 218
ata3: SATA max UDMA/133 cmd 0xF8842200 ctl 0x0 bmdma 0x0 irq 218
ata4: SATA max UDMA/133 cmd 0xF8842280 ctl 0x0 bmdma 0x0 irq 218
scsi0 : ahci
ata1: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
ata1.00: ATA-6, max UDMA/133, 156301488 sectors: LBA48 NCQ (depth 31/32)
ata1.00: configured for UDMA/133
scsi1 : ahci
ata2: SATA link down (SStatus 0 SControl 300)
scsi2 : ahci
ata3: SATA link down (SStatus 0 SControl 0)
scsi3 : ahci
ata4: SATA link down (SStatus 0 SControl 0)

Comment 1 Jon Stanley 2008-01-08 01:47:59 UTC
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!

Comment 2 Jon Stanley 2008-02-08 04:25:34 UTC
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!


Note You need to log in before you can comment on or make changes to this bug.